For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
      • GETList Form Submissions
      • GETList Form Submissions by Site
      • GETGet Form Submission
      • PATCHUpdate Form Submission
      • DELDelete Form Submission
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
FormsForm submissions

List Form Submissions by Site

GET
https://api.webflow.com/v2/sites/:site_id/form_submissions
GET
/v2/sites/:site_id/form_submissions
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/form_submissions \
> -H "Authorization: Bearer <token>" \
> -d elementId=18259716-3e5a-646a-5f41-5dc4b9405aa0 \
> -d offset=0 \
> -d limit=100
1{
2 "formSubmissions": [
3 {
4 "id": "6321ca84df3949bfc6752327",
5 "displayName": "Sample Form",
6 "siteId": "62749158efef318abc8d5a0f",
7 "workspaceId": "62749158efef318abc8d5a0f",
8 "dateSubmitted": "2022-09-14T12:35:16.117Z",
9 "formResponse": {
10 "First Name": "Arthur",
11 "Last Name": "Dent"
12 },
13 "formId": "6321ca84df3949bfc6752327"
14 },
15 {
16 "id": "660d64fabf6e0a0d4edab981",
17 "displayName": "Sample Form",
18 "siteId": "62749158efef318abc8d5a0f",
19 "workspaceId": "62749158efef318abc8d5a0f",
20 "dateSubmitted": "2022-09-14T12:35:16.117Z",
21 "formResponse": {
22 "First Name": "Ford",
23 "Last Name": "Prefect"
24 },
25 "formId": "6321ca84df3949bfc6752327"
26 }
27 ],
28 "pagination": {
29 "limit": 25,
30 "offset": 0,
31 "total": 2
32 }
33}
List all form submissions for a given site with the ability to filter submissions by a centralized `elementId`. Add `elementId` when you want to filter form submissions to a specific form in a site. You can get the `elementId` from the [List forms endpoint](/data/reference/forms/forms/list) (displayed as `formElementId` in the response). <Note title="Forms in components"> When a form is used in a Webflow component definition, each instance of the component will yield a unique form. Adding the `elementId` in this request ensures this API response includes all submissions from that core form, wherever that form is used in instantiated components. </Note> Use the [List Form Submissions endpoint](/data/reference/forms/form-submissions/list-submissions) to list form submissions for a given form ID. Required scope | `forms:read`
Was this page helpful?
Previous

Get Form Submission

Next
Built with

List all form submissions for a given site with the ability to filter submissions by a centralized elementId.

Add elementId when you want to filter form submissions to a specific form in a site. You can get the elementId from the List forms endpoint (displayed as formElementId in the response).

Forms in components

When a form is used in a Webflow component definition, each instance of the component will yield a unique form. Adding the elementId in this request ensures this API response includes all submissions from that core form, wherever that form is used in instantiated components.

Use the List Form Submissions endpoint to list form submissions for a given form ID.

Required scope | forms:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

elementIdstringOptional
Identifier for an element
offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

Response

Request was successful
formSubmissionslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error